<?php
header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");                       // Date in the past
header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");  // always modified
header ("Cache-Control: no-cache, must-revalidate");             // HTTP/1.1
header ("Pragma: no-cache");                                     // HTTP/1.0

   //Reference to functions needed
 include("DTXdatabaseFunctions.php");
 include("locals.php");

   //Function to load a selected question
 function questionload($LineNo)
   {
    global $quizFileLines, $FRAGE, $HINTTXT, $DISABLED, $CHECKBOX,
           $ANTWORTA, $ANTWORTB, $ANTWORTC, $ANTWORTD, $_POST,
           $AntwortStyle, $QuizDirectory;

        //Check, if question is a file
    $SampleFile = $QuizDirectory."rtfQuestions/".$quizFileLines[$LineNo];
    if (is_file($SampleFile))
      {
       $FRAGE = '<IFRAME BORDER="2" HEIGHT="250" WIDTH="100%" VSPACE="20" SCROLLING="YES" MARGINHEIGHT="10" ';
       $FRAGE = $FRAGE.'MARGINWIDTH="10" HSPACE="20" SRC="QuizFiles/rtfQuestions/'.$quizFileLines[$LineNo].'"></IFRAME>';
      }
     else
      {
       $FRAGE = $quizFileLines[$LineNo];
      };
    $HINTTXT = $quizFileLines[$LineNo + 8];
    if ($HINTTXT == "")
      {
       $DISABLED = "DISABLED";
      };
    if ($quizFileLines[$LineNo + 5] == 4)   //If NO multiple choice question
      {
       $CHECKBOX[1] = "<br>";
       $ANTWORTA = "<INPUT TYPE=\"TEXT\" SIZE=80% NAME=\"A\" TITLE=\"Bitte schreiben Sie hier Ihre Antwort!\"".$AntwortStyle.">";
      }
     else   //If multiple choice question
      {
         //Check, if any answers are files, load answers
       $SampleFile = $QuizDirectory."rtfQuestions/".$quizFileLines[$LineNo + 1];
       if (is_file($SampleFile))
         {
          $ANTWORTA = '<IFRAME BORDER="2" HEIGHT="160" WIDTH="100%" VSPACE="20" SCROLLING="YES" MARGINHEIGHT="10" ';
          $ANTWORTA = $ANTWORTA.'MARGINWIDTH="10" HSPACE="20" SRC="QuizFiles/rtfQuestions/'.$quizFileLines[$LineNo + 1].'"></IFRAME>';
         }
        else
         {
          $ANTWORTA = $quizFileLines[$LineNo + 1];
         };
       $SampleFile = $QuizDirectory."rtfQuestions/".$quizFileLines[$LineNo + 2];
       if (is_file($SampleFile))
         {
          $ANTWORTB = '<IFRAME BORDER="2" HEIGHT="160" WIDTH="100%" VSPACE="20" SCROLLING="YES" MARGINHEIGHT="10" ';
          $ANTWORTB = $ANTWORTB.'MARGINWIDTH="10" HSPACE="20" SRC="QuizFiles/rtfQuestions/'.$quizFileLines[$LineNo + 2].'"></IFRAME>';
         }
        else
         {
          $ANTWORTB = $quizFileLines[$LineNo + 2];
         };
       $SampleFile = $QuizDirectory."rtfQuestions/".$quizFileLines[$LineNo + 3];
       if (is_file($SampleFile))
         {
          $ANTWORTC = '<IFRAME BORDER="2" HEIGHT="160" WIDTH="100%" VSPACE="20" SCROLLING="YES" MARGINHEIGHT="10" ';
          $ANTWORTC = $ANTWORTC.'MARGINWIDTH="10" HSPACE="20" SRC="QuizFiles/rtfQuestions/'.$quizFileLines[$LineNo + 3].'"></IFRAME>';
         }
        else
         {
          $ANTWORTC = $quizFileLines[$LineNo + 3];
         };
       $SampleFile = $QuizDirectory."rtfQuestions/".$quizFileLines[$LineNo + 4];
       if (is_file($SampleFile))
         {
          $ANTWORTD = '<IFRAME BORDER="2" HEIGHT="160" WIDTH="100%" VSPACE="20" SCROLLING="YES" MARGINHEIGHT="10" ';
          $ANTWORTD = $ANTWORTD.'MARGINWIDTH="10" HSPACE="20" SRC="QuizFiles/rtfQuestions/'.$quizFileLines[$LineNo + 4].'"></IFRAME>';
         }
        else
         {
          $ANTWORTD = $quizFileLines[$LineNo + 4];
         };
       $CHECKBOX[0] = "<INPUT TYPE=\"CHECKBOX\" NAME=\"0\">";
       $CHECKBOX[1] = "<INPUT TYPE=\"CHECKBOX\" NAME=\"1\">";
       if (!($ANTWORTC == ""))
          {
           $CHECKBOX[2] = "<INPUT TYPE=\"CHECKBOX\" NAME=\"2\">";
          }
         else
          {
           $CHECKBOX[2] = '';
          };
       if (!($ANTWORTD == ""))
          {
           $CHECKBOX[3] = "<INPUT TYPE=\"CHECKBOX\" NAME=\"3\">";
          }
         else
          {
           $CHECKBOX[3] = '';
          };
      };
   };

   //Function to selected a new question or to finsh
 function questionnew()
   {
    global $quizFileLines, $ErrorText1,  $_POST, $DatNr, $Selected, $SpielStandNr,
           $DatLine, $iniline, $Total, $ErrorText, $SpielStandDB, $SpielStandLine, $SelLine,
           $DatDB, $Quiz, $ScoreDirectory;
      //refresh $DatLine
    ignore_user_abort(true);
    $DatDB = fopen($ScoreDirectory."Dat.csv", "r");
    if (!(flock($DatDB, 1)))                                          //Lock DatDB
      {
       $ErrorText = $ErrorText1;
       include("error.php");
       fclose($DatDB);
       ignore_user_abort(false);
       exit;
      };
    while ($DatLine = fgetcsv($DatDB, 128, ","))
         {
          if ($DatLine[0] == $DatNr)
             {
              break;
             };
         };
    flock($DatDB, 3);
    fclose($DatDB);
      //If all answered, then display results table
    if ($DatLine[5] == $Total)
       {
        $DatLine[3] = floor((100*($DatLine[5]-$DatLine[6])) / $DatLine[5]);
        $DatLine[7] = "1";
        if (!(DatUpdate($ScoreDirectory, $DatLine)))  //Update database, "Dat.csv" only
          {
           $ErrorText = $ErrorText1;
           include("error.php");
           ignore_user_abort(false);
           exit;
          };
        if (chop($iniline[0]) == 'results=off')
          {
           include('finished.htm');
          }
         else
          {
           include("score.php");
          };
        ignore_user_abort(false);
        exit;
       };
       //Check database for open questions
    $SpielStandDB = fopen($ScoreDirectory."SplStand.csv", "r");
    if (!(flock($SpielStandDB, 1)))                                               //Lock SpielStandDB
      {
       $ErrorText = $ErrorText1;
       include("error.php");
       fclose($SpielStandDB);
       ignore_user_abort(false);
       exit;
      };
    while ($SpielStandLine = fgetcsv($SpielStandDB, 128, ","))
          {
           if (($SpielStandLine[1] == $DatNr) and ($SpielStandLine[5] == "1"))
              {
               $SpielStandOpenQuestions[$SpielStandLine[0]] = $SpielStandLine[2];
              };
          };
    flock($SpielStandDB, 3);
    fclose($SpielStandDB);
       //Select an open question
    srand ((double) microtime() * 1000000);  //Seed with microseconds since last "whole" second
    $R = rand(1, $Total);
    $Watchdog = 0;
    while (! (in_array($R, $SpielStandOpenQuestions)))
         {
          $R = ($R % $Total)+1;
          $Watchdog++;
          if ($Watchdog > $Total + 1) //If no open question!!
             {
              $ErrorText = "Es ist ein Fehler in der Trainingsdatenbank aufgetreten!";
              include("error.php");
              ignore_user_abort(false);
              exit;
             };
          };
    $I = (10 * $R - 6);
    $Selected = $R;
            //If order of questions is important
    while (($quizFileLines[$I+6] == 'C' ) and in_array($R, $SpielStandOpenQuestions))
         {
          $Selected = $R;
          $R--;
          $I = $I - 10;
         };
    while (list($k, $v) = each ($SpielStandOpenQuestions))
         {
          if ($v == $Selected)
            {
             $SpielStandNr = $k;
             break;
            };
         };
         //Load selected question
    $SelLine = (10 * $Selected - 6);
    questionload($SelLine);
    ignore_user_abort(false);
   };

//Begin
   //Text, which is often used
 $ErrorText1 = 'Die Datenbank ist berlastet.<br> Drcken Sie "Aktualisieren" um jetzt nochmals zu versuchen, oder versuchen Sie spter!';

 if (file_exists($ScoreDirectory.'/PHPWebQuiz.ini'))
   {
    $iniline = file($ScoreDirectory.'/PHPWebQuiz.ini');
   };

 if (!(file_exists($ScoreDirectory."Namen.csv")))
    {
     if (!(DBCreate($ScoreDirectory)))
        {
         $ErrorText = "Konnte keine Datenbankdateien erstellen!";
         include("error.php");
         exit;
        };
    };

   //If NameNrO not valid, then read or create if necessary the database file Namen.csv
   //Format for NamenDB: "NameNr,Name,IdNummer,Quiz"
 ignore_user_abort(true);
 if ($_POST["NameNrO"] == "")
     {
        //replace any "," in Name or IDNummer with a "."
      $ActualName = strtr($_POST["Name"], ",", ".");
      $ActualIDNummer = strtr($_POST["IDNummer"], ",", ".");
      if (!($NamenDB = fopen($ScoreDirectory."Namen.csv", "a+")))
        {
         $ErrorText = "Konnte die Datenbankdatei \"Namen.csv\" nicht ffnen!";
         include("error.php");
         ignore_user_abort(false);
         exit;
        };
      if (!(flock($NamenDB, 2)))                                          //Lock NamenDB
        {
         $ErrorText = $ErrorText1;
         include("error.php");
         fclose($NamenDB);
         ignore_user_abort(false);
         exit;
        };
      $NewNamenLine = (",".$ActualName.",".$ActualIDNummer.",".$_POST["Quiz"]);
        //search for $NewNamenLine in $NamenDB
      rewind($NamenDB);
      while ($NamenLine = fgetcsv($NamenDB, 256, ","))
            {
             $NameNr = $NamenLine[0];
             $NamenLine[0] = "";
             if ($NewNamenLine == implode(",",$NamenLine))
                 {
                  $NamenFound = True;
                  break;
                 };
            };
      if (! $NamenFound)  //if $NewNamenLine not found, then -->
          {
           if (chop($iniline[3]) == 'securityrestr=on')  //check security restriction and abort -->
              {
               $ErrorText = "Sie sind nicht autorisiert diese Prfung zu absolvieren!";
               include("error.php");
               ignore_user_abort(false);
               exit;
              };
           if ($NameNr == "NameNr")  //or write $NewNamenLine at the end of $NamenDB
              {
               $NameNr = "0";
              }
             else
              {
               $NameNr++;
              };
           $NewNamenLine = $NameNr.$NewNamenLine."\r\n";
           fputs($NamenDB, $NewNamenLine, 255);
          }
       else
          {
           $NewNamenLine = $NameNr.$NewNamenLine;
          };
      flock($NamenDB, 3);
      fclose($NamenDB);
      $NamenLine = explode(",", chop($NewNamenLine));
     }
  else   //If NameNrO valid, then take it!
     {
      $NameNr = $_POST["NameNrO"];
      $NamenDB = fopen($ScoreDirectory."Namen.csv", "r");
      if (!(flock($NamenDB, 1)))                                          //Lock NamenDB
        {
         $ErrorText = $ErrorText1;
         include("error.php");
         fclose($NamenDB);
         ignore_user_abort(false);
         exit;
        };
      while ($NamenLine = fgetcsv($NamenDB, 256, ","))
          {
           if ($NameNr == $NamenLine[0])
             {
              break;
             };
          };
      flock($NamenDB, 3);
      fclose($NamenDB);
     };
 $Name = $NamenLine[1];
 $IDNummer = $NamenLine[2];
 $Quiz = $NamenLine[3];

     //Open selected Quiz and creates an array "quizFileLines".
 $quizFileLines = file($QuizDirectory.$Quiz);
 for ($I=0; $I<count($quizFileLines); $I++)
   {
    $quizFileLines[$I] = chop($quizFileLines[$I]);
   };
 $Total = floor((count($quizFileLines) - 4)/10);

    //Return ERROR, if file is no valid quiz file.
 if (($quizFileLines[0] != "** Questionnaire for Quiz Version 2.0 **")
      and ($quizFileLines[0] != "** Questionnaire for Quiz Version 1.0 **"))
   {
    $ErrorText = "Keine Datei gefunden, oder dies ist keine gltige Quizdatei!";
    include("error.php");
    ignore_user_abort(false);
    exit;
   };

    //Set required fonts
 if ($quizFileLines[3] != "MS Sans Serif")
   {
    $Invers = ($quizFileLines[1][0] == "-");
    $AllSpecialFont = ($quizFileLines[1][1] == "-");
    if ($Invers  or $AllSpecialFont)
      {
       $AntwortFont = " face=\"".$quizFileLines[3]."\"";
       $AntwortStyle = " STYLE=\"font-family: ".$quizFileLines[3]."\"";
      };
    if ((!$Invers)  or $AllSpecialFont)
      {
       $FrageFont = " face=\"".$quizFileLines[3]."\" SIZE=+2";
      };
   };

   //If DatNrO not valid, then read or create if necessary the database file Dat.csv
   //Format: $DatLine[0]=DatNr, $DatLine[1]=NameNr, $DatLine[2]=Datum, $DatLine[3]=Score, $DatLine[4]=Zeit,
   //$DatLine[5]=A, $DatLine[6]=F, $DatLine[7]=fertig
 if ($_POST["DatNrO"] == "")
     {
      if (!($DatDB = fopen($ScoreDirectory."Dat.csv", "r+")))
        {
         $ErrorText = "Konnte die Datenbankdatei \"Dat.csv\" nicht ffnen!";
         include("error.php");
         ignore_user_abort(false);
         exit;
        };
      if (!(flock($DatDB, 2)))                                          //Lock DatDB
        {
         $ErrorText = $ErrorText1;
         include("error.php");
         fclose($DatDB);
         ignore_user_abort(false);
         exit;
        };
        //search for $NameNr and fertig=False (represented as a "0") in $DatDB
      $DatFound = False;
      while ($DatLine = fgetcsv($DatDB, 128, ","))
            {
             $DatNr = $DatLine[0];
             if (($DatLine[1] == $NameNr) and ($DatLine[7] == "0"))
                {
                 $DatFound = True;   //if ($NameNr and fertig="0") found
                 flock($DatDB, 3);
                 fclose($DatDB);
                 break;
                };
            };
      if (! $DatFound)  //if ($NameNr and fertig="0") not found, then write a new line at the end of $DatDB
                        //and create the respective $SpielStandDB lines
            {
             if ($DatNr == "DatNr")
              {
               $DatNr = "0";
              }
             else
              {
               $DatNr++;
              };

             $DatLine = array($DatNr, $NameNr, date('m/d/Y H:i:s') ,"0","0","0","0","0");
             fputs($DatDB, implode(",", $DatLine)."\r\n", 127);
             flock($DatDB, 3);
             fclose($DatDB);

             //read or create if necessary the database file SplStand.csv
             //Format: $SpielStandLine[0]=SpielStandNr, $SpielStandLine[1]=DatNr, $SpielStandLine[2]=FrageNo,
             // $SpielStandLine[3]=FrZeit, $SpielStandLine[4]=falsch, $SpielStandLine[5]=notsolved
             if (!($SpielStandDB = fopen($ScoreDirectory."SplStand.csv", "a+")))
                {
                 $ErrorText = "Konnte die Datenbankdatei \"SplStand.csv\" nicht ffnen!";
                 include("error.php");
                 ignore_user_abort(false);
                 exit;
                 };
             if (!(flock($SpielStandDB, 2)))                                               //Lock SpielStandDB
               {
                $ErrorText = $ErrorText1;
                include("error.php");
                fclose($SpielStandDB);
                ignore_user_abort(false);
                exit;
               };
             fseek($SpielStandDB, -129, SEEK_END);
             while ($SpielStandLine = fgetcsv($SpielStandDB, 128, ","))
                  {
                   $SpielStandNr = $SpielStandLine[0];
                  };
             if ($SpielStandNr == "SpielStandNr")
              {
               $SpielStandNr = "0";
              };
             for ($I=1; $I<=$Total; $I++)         //Append SpielStandDB
                 {
                  $SpielStandNr++;
                  fputs($SpielStandDB, $SpielStandNr.",".$DatNr.",".$I.",0,0,1\r\n", 127);
                 };
             flock($SpielStandDB, 3);
             fclose($SpielStandDB);
            };
     }
  else   //If DatNrO valid, then take it!
     {
      $DatNr = $_POST["DatNrO"];
      $DatDB = fopen($ScoreDirectory."Dat.csv", "r");
      if (!(flock($DatDB, 1)))                                          //Lock DatDB
        {
         $ErrorText = $ErrorText1;
         include("error.php");
         fclose($DatDB);
         ignore_user_abort(false);
         exit;
        };
      while ($DatLine = fgetcsv($DatDB, 128, ","))
            {
             if ($DatLine[0] == $DatNr)
                {
                 break;
                };
            };
      flock($DatDB, 3);
      fclose($DatDB);
     };

   //If SpielStandNrO not valid, then select and display a new question
 if ($_POST["SpielStandNrO"] == "")
     {
      questionnew();
     }
  else   //If SpielStandNrO valid, then a question has been answered: check result!
     {       //Get the values for $SpielStandLine[] according the answered question
      $SpielStandNr = $_POST["SpielStandNrO"];
      $SpielStandDB = fopen($ScoreDirectory."SplStand.csv", "r");
      if (!(flock($SpielStandDB, 1)))                                                //Lock SpielStandDB
        {
         $ErrorText = $ErrorText1;
         include("error.php");
         fclose($SpielStandDB);
         ignore_user_abort(false);
         exit;
        };
      while ($SpielStandLine = fgetcsv($SpielStandDB, 128, ","))
            {
             if ($SpielStandLine[0] == $SpielStandNr)
                {
                 break;
                };
            };
      flock($SpielStandDB, 3);
      fclose($SpielStandDB);
      if ($SpielStandLine[5] == "0")   //If question already answered (attempt to do it twice)
        {
         include("twice.php");
         ignore_user_abort(false);
         exit;
        };
      $SpielStandLine[3] = $SpielStandLine[3] + (time() - $_POST["StartTime"]);   //Update FrZeit (time required for this question)
      $SelLine = (10 * $SpielStandLine[2] - 6);  //Restore question
        //Evaluate the answer!
      if ($quizFileLines[$SelLine + 5] == 4)   //If question is NOT multiple choice
        {
         $Antwort = $_POST["A"];
         $AnHidA = $quizFileLines[$SelLine + 1];
         $AnHidB = $quizFileLines[$SelLine + 2];
         $AnHidC = $quizFileLines[$SelLine + 3];
         $AnHidD = $quizFileLines[$SelLine + 4];
         if (!($_POST["CaseSensitive"]))   //If not case sensitive!
           {
            $Antwort = strtolower($Antwort);
            $AnHidA = strtolower($AnHidA);
            $AnHidB = strtolower($AnHidB);
            $AnHidC = strtolower($AnHidC);
            $AnHidD = strtolower($AnHidD);
           };
         if ($Antwort == "")   //If answer is empty!
           {
            questionload($SelLine);
           }
          else  //If answer is not empty!
           {
            $SpielStandLine[5] = "0";
            if (!(($Antwort == $AnHidA) or ($Antwort == $AnHidB) or  //If answer is wrong!
                ($Antwort == $AnHidC) or ($Antwort == $AnHidD)))
              {
               $SpielStandLine[4] = "1";
              };
            if (!(DBUpdate($ScoreDirectory, $SpielStandLine, $DatLine)))  //Update database
              {
               $ErrorText = $ErrorText1;
               include("error.php");
               ignore_user_abort(false);
               exit;
              };
            questionnew();
           };
        }
       else //If question is multiple choice
        {
         questionload($SelLine);
         $NoAntworten = 0;
         $NoCross = 0;
         for ($AnsNo = '0'; $AnsNo <= '3'; $AnsNo++)  //go through all 4 check boxes
            {
             if ($_POST[$AnsNo])
               {
                $NoCross++;
                if (strstr($quizFileLines[$SelLine + 5].'x', $AnsNo.''))  //if answer is true
                  {
                   $NoAntworten++;
                  }
                 else   //if answer is wrong
                  {
                   $SpielStandLine[4] = "1";
                  };
               };
            };  //end for
         if ($NoCross > 0)
           {
            if ($NoAntworten != strlen($quizFileLines[$SelLine + 5]))  //if not all correct answers are given
              {
               $SpielStandLine[4] = "1";
              };
            $SpielStandLine[5] = "0";
            if (!(DBUpdate($ScoreDirectory, $SpielStandLine, $DatLine)))  //Update database
              {
               $ErrorText = $ErrorText1;
               include("error.php");
               ignore_user_abort(false);
               exit;
              };
            questionnew();
           };
        };
     };
 ignore_user_abort(false);
?>

<!DOCTYPE HTML PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<HTML>
<HEAD>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <META NAME="Author" CONTENT="Schneider Luzius">
   <meta name="GENERATOR" content="PHPWebQuiz 1.4.0 [(C) 2001 - 2008 by Luzius Schneider] http://www.luziusschneider.com">
   <TITLE>LS PHPWebQuiz: Frage</TITLE>
   <link rel="stylesheet" type="text/css" href="PHPWebQuiz.css">
  <script language="javascript">
    function hintDisplay(hintText)
     {alert(hintText);}
  </script>
</HEAD>
<BODY>
<TABLE WIDTH="100%">
<TR>
<TD WIDTH="15%"></TD>
<TD><H3><IMG SRC="PHPWQ.gif" ALT=" " NOSAVE height=32 width=100 align=left hspace=20>
<?php
  print($quizFileLines[1]." - - ".$Name.", ".$IDNummer);
  print("</H3>\n<H4>".$quizFileLines[2]);
?>
    </H4></TD>
</TR>
</TABLE>
<FORM  NAME="QForm" METHOD="POST" ACTION="questionnof.php">
<TABLE WIDTH="100%">
<TR>
<TD COLSPAN="2"><H4>Bitte lsen Sie folgende Aufgaben! Es sind total
<?php
 print($Total);
?>
  </H4></TD>
</TR>
<TR>
<TD COLSPAN="2">
<?php
 print("<FONT".$FrageFont."><blockquote>".$FRAGE."</blockquote></FONT></TD></TR>\n");
 print("<TR><TD WIDTH=\"10%\" ALIGN=\"CENTER\">".$CHECKBOX[0]."</TD>\n");
 print("<TD ALIGN=\"LEFT\"><FONT".$AntwortFont.">".$ANTWORTA."</FONT></TD></TR>\n");
 print("<TR><TD WIDTH=\"10%\" ALIGN=\"CENTER\">".$CHECKBOX[1]."</TD>\n");
 print("<TD ALIGN=\"LEFT\"><FONT".$AntwortFont.">".$ANTWORTB."</FONT></TD></TR>\n");
 print("<TR><TD WIDTH=\"10%\" ALIGN=\"CENTER\">".$CHECKBOX[2]."</TD>\n");
 print("<TD ALIGN=\"LEFT\"><FONT".$AntwortFont.">".$ANTWORTC."</FONT></TD></TR>\n");
 print("<TR><TD WIDTH=\"10%\" ALIGN=\"CENTER\">".$CHECKBOX[3]."</TD>\n");
 print("<TD ALIGN=\"LEFT\"><FONT".$AntwortFont.">".$ANTWORTD."</FONT></TD></TR>\n");
 print("</TABLE>");
?>
<br>
<TABLE WIDTH="80%" ALIGN="CENTER" CELLSPACING="10">
<TR>
<TD WIDTH="30%"><INPUT TYPE="BUTTON" onclick="javascript:hintDisplay(
<?php
 print("'".$HINTTXT."')\" NAME=\"HINT\" VALUE=\"   TIP   \" ".$DISABLED.">");
?>
    </TD>
<TD><INPUT TYPE="SUBMIT" NAME="SEND" VALUE="   SEND   "></TD>
</TR>
</TABLE>
<?php
 /*
 ** Description: Submits some information to next script files.
 */
  print("<INPUT TYPE=\"HIDDEN\" NAME=\"NameNrO\" VALUE=\"".$NameNr."\">\n");
  print("<INPUT TYPE=\"HIDDEN\" NAME=\"DatNrO\" VALUE=\"".$DatNr."\">\n");
  print("<INPUT TYPE=\"HIDDEN\" NAME=\"SpielStandNrO\" VALUE=\"".$SpielStandNr."\">\n");
  print("<INPUT TYPE=\"HIDDEN\" NAME=\"StartTime\" VALUE=\"".time()."\">\n");
  print("<INPUT TYPE=\"HIDDEN\" NAME=\"CaseSensitive\" VALUE=\"".$_POST["CaseSensitive"]."\">\n");
?>
</FORM>
<br>
<?php
   //Prints No of answers and time elapsed
  print("<TABLE WIDTH=\"80%\" ALIGN=\"CENTER\" CELLSPACING=\"10\"><TR>\n");
  print("<TD ALIGN=\"CENTER\">".$DatLine[5]." Fragen sind beantwortet!</TD></TR>\n");
  print("<TR><TD ALIGN=\"CENTER\">Gebrauchte Zeit: ".(floor($DatLine[4] / 60))." Min ".($DatLine[4] % 60)." Sec");
?>
</TD>
</TR>
</TABLE>
<hr>
<br>
<div align=right><b><font size=-1>LS PHPWebQuiz 1.4.0</font></b>
<br><font size=-1><a href="http://www.luziusschneider.com" TARGET="_blank">http://www.luziusschneider.com</a></font></div>
</BODY>
</HTML>